Databases

Managed databases, replicas, endpoints and attachments.

Base https://api.nodion.com. Short paths need X-Nodion-Project unless the path already has /v2/projects/{id}. Request bodies are in the interactive docs.

GET /v2/databases

List databases in the current project

Scope read Interactive docs

POST /v2/databases

Create a database in the current project

Scope write Interactive docs

POST /v2/projects/{id}/databases

Create a database

Scope write Interactive docs

GET /v2/databases/{id}

Get a database

Connection credentials are included only with the `db:credentials` scope (or a session / project key).

Scope read Interactive docs

PATCH /v2/databases/{id}

Upgrade the database package

Scope write Interactive docs

GET /v2/databases/{id}/metrics

Get database metrics

Scope read Interactive docs

GET /v2/databases/{id}/engine_metrics

Get database engine metrics

Scope read Interactive docs

GET /v2/databases/{id}/backups

List database backups and settings

Scope read Interactive docs

PATCH /v2/databases/{id}/backups/settings

Update database backup settings

Scope write Interactive docs

POST /v2/databases/{id}/restore

Restore a database to a new fork at a point in time

Scope write Interactive docs

GET /v2/databases/{id}/browse/namespaces

List schemas or databases for read-only browse

Scope read Interactive docs

GET /v2/databases/{id}/browse/tables

List tables and views in a namespace

Scope read Interactive docs

GET /v2/databases/{id}/browse/rows

Preview rows from a table (read-only)

`order` without `sort` is ignored. Invalid `sort` or `order` is 400.

Scope read Interactive docs

GET /v2/databases/{id}/browse/keys

SCAN keys on a Valkey database

Opaque Redis SCAN cursor in `next_cursor`. Last page has `next_cursor: null`.

Scope read Interactive docs

GET /v2/databases/{id}/browse/value

Preview a Valkey key value

Scope read Interactive docs

POST /v2/databases/{id}/browse/query

Run a SQL statement (Postgres, pgvector)

Scope write Interactive docs

GET /v2/databases/{id}/insights

Query stats, live sessions and unused indexes (Postgres, MySQL)

Scope read Interactive docs

GET /v2/databases/{id}/containers

List database containers

Scope read Interactive docs

GET /v2/databases/{id}/logs/history

Query historical database logs

Scope logs:read Interactive docs

POST /v2/databases/{id}/attachments

Attach a database to an application

Scope write Interactive docs

PATCH /v2/database_attachments/{id}

Update a database attachment's bindings

Scope write Interactive docs

DELETE /v2/database_attachments/{id}

Detach a database from an application

Scope write Interactive docs

POST /v2/databases/{id}/replicas

Add a read replica

Scope write Interactive docs

GET /v2/databases/{id}/ha

High availability status

Scope read Interactive docs

POST /v2/databases/{id}/ha

Enable high availability (async standby)

Scope write Interactive docs

PATCH /v2/databases/{id}/ha

Update HA settings (auto-failover, async/sync mode)

Scope write Interactive docs

DELETE /v2/databases/{id}/ha

Disable high availability

Scope write Interactive docs

GET /v2/databases/{id}/cluster

ClickHouse cluster status

Scope read Interactive docs

POST /v2/databases/{id}/cluster

Enable a 3-node ClickHouse cluster

Scope write Interactive docs

DELETE /v2/databases/{id}/cluster

Disable the ClickHouse cluster

Scope write Interactive docs

POST /v2/databases/{id}/failover

Promote the HA standby (manual failover)

Scope write Interactive docs

POST /v2/databases/{id}/endpoints

Enable public endpoints

Scope write Interactive docs

DELETE /v2/databases/{id}/endpoints

Disable public endpoints

Scope write Interactive docs

POST /v2/databases/{id}/allowed_cidrs

Set the source-IP allowlist for public endpoints

Scope write Interactive docs

POST /v2/databases/{id}/pooler

Enable the connection pooler

Scope write Interactive docs

DELETE /v2/databases/{id}/pooler

Disable the connection pooler

Scope write Interactive docs

POST /v2/databases/{id}/pooler/endpoint

Enable public access to the connection pooler

Scope write Interactive docs

DELETE /v2/databases/{id}/pooler/endpoint

Disable public access to the connection pooler

Scope write Interactive docs

POST /v2/databases/{id}/pooler/allowed_cidrs

Set the source-IP allowlist for the public pooler

Scope write Interactive docs

DELETE /v2/database_nodes/{id}

Delete a database node (replica)

Scope write Interactive docs

GET /v2/applications/{id}/attachments

List an application's database attachments

Scope read Interactive docs

Give your agent a cloud.

Earn up to 15 € in credit when signing up.

Continue with GitHub

or with email